/*******************************************************
 * TIC TAC TOE Game                                    *
 * by Parthipan Siva                                   *
 *                                                     *
 * Created as demonstration of OOP for                 *
 * SD121 course.                                       *
 *                                                     *
 *  Nov 2005   created                 - Parthipan     *
 *  Nov 2006   added more comments     - Parthipan     *
 *                                                     *
 *******************************************************/
 
#include "Player.h"

Player::Player()
{
     // default constructor
     name = "";
     piece = X_VAL;   // by default player uses X
     num_wins = 0;
}

Player::Player(string playerName):name(playerName)
{
     piece = X_VAL;
     num_wins = 0;
}

void Player::set_piece(int piece_val)
{
     piece = piece_val;
}

int Player::get_piece() const
{
    return piece;
}

void Player::set_name(string playerName)
{
    name = playerName;
}

string Player::get_name() const
{
    return name; 
}
    
int Player::get_num_wins() const
{
    return num_wins;
}
    
void Player::increment_win()
{
    num_wins += 1;
}
    
void Player::resetPlayer()
{
    name = "";
    num_wins = 0;
    piece = X_VAL;
}

void Player::displayPlayerStat()
{
    cout << endl;
    cout << "    Player Name: " << name << endl;
    cout << "   Player Piece: " << ((piece==X_VAL) ? "X ": "O ") << endl;
    cout << " Number of wins: " << num_wins << endl;
}

int Player::get_X_VAL()
{
    return X_VAL;
}

int Player::get_O_VAL()
{
    return O_VAL;
}

int Player::get_BLANK_VAL()
{
    return BLANK_VAL;
}
